# path

`path` redirect the user to a different page.

**note:** *path* must be last item ( processor does not check for subsequent ones after path )

| Key                | Type     | Description                                                                                                                                                                                                                                                                                                                                    |
| ------------------ | -------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| action             | `"path"` | Action Name                                                                                                                                                                                                                                                                                                                                    |
| options.windowName | *string* | <p>{ optional } If specified the <code>options</code> object will be used to update the target window that has the specified name. This is useful for changing things like card modal forms without destroying th modal and recreating again. Can also target windows by <code>id</code></p><p>via<code>options.id</code></p><p>ver 0.8.2+</p> |
| options.path       | *string* | <p>{ optional } URN path that follows the # (hash)<br>eg:</p><p>"/" - index page</p><p>"/form/:id - a form with id</p>                                                                                                                                                                                                                         |
| options.url        |          | { optional } will open page url in a new tab                                                                                                                                                                                                                                                                                                   |
| options.sameWindow |          | { optional } If true, will open url replacing the BetteForms app (same tab)                                                                                                                                                                                                                                                                    |
| options.name       | *string* | The `windowName` of the target window. If not specified `_blank` is used. ( Ver 0.10.22+ )                                                                                                                                                                                                                                                     |
| options.features   | *string* | Window features as described in [MDN here](https://developer.mozilla.org/en-US/docs/Web/API/Window/open#window_features). ( Ver 0.10.22+ )                                                                                                                                                                                                     |

```yaml
// example path action object
{
"action" :"path",
  "options" :
       {
           "path": "/invoiceList"
       }
}

// This will replace the BetterForms page with the URL 'www.delfsengineering.ca'
{
"action" : "path",
    "options" :
    {
        "sameWindow" : true,
        "url" : "http://www.delfsengineering.ca"
    }

}
```

## FileMaker Custom Function

```
    BF_SetAction_Path("/form/123-1234-5678") // takes user to form 123...
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.klai.studio/v1/reference/actions-processor/actions_overview/path.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
